<ng-container *ngIf="dataset">

  <div class="columns is-marginless">
    <div class="column is-1 is-paddingless image-item is-hidden-mobile">
      <ng-container *ngIf="dataset.metadata.image;else noImage">
        <img [src]="imageUrl" alt="" aria-hidden="true" (error)="backupImage()">
      </ng-container>
      <ng-template #noImage>
        <img [src]="imageUrl" alt="No Image Dataset">
      </ng-template>
    </div>

    <div class="column is-8 title-item">
      <span class="surtitle" *ngIf="surTitle[dataset.metadata.type]">
        {{ surTitle[dataset.metadata.type] }}
      </span>
      <a [routerLink]="['/', AppRoutes.datasets.uri, dataset.slug, datasetDetailsURI]" class="link-without-decoration">
        <span class="h3"
          [innerHTML]="!dataset.highlights.highlightedTitle ? dataset.metadata.title : dataset.highlights.highlightedTitle">
        </span>

        <ng-container *ngIf="dataset.metadata.subtitle || dataset.highlights.highlightedSubtitle">
          <span class="h3 subtitle">
            &nbsp;-&nbsp;
          </span>

          <span class="h3 subtitle" *ngIf="dataset.highlights.highlightedSubtitle;else subtitle"
            [innerHTML]="dataset.highlights.highlightedSubtitle">

          </span>
          <ng-template #subtitle>
            <span class="h3 subtitle" [innerHTML]="dataset.metadata.subtitle">

            </span>
          </ng-template>

        </ng-container>
      </a>


      <p class="providers">{{ dataset.metadata.providers.join(', ') }}</p>
    </div>
  </div>
  <div class="columns is-marginless">
    <div class="column is-8 is-offset-1 description">
      <p [innerHTML]="dataset.highlights.highlightedDescription.length > 0  ?
        dataset.highlights.highlightedDescription.join('&nbsp;[...]&nbsp;') : dataset.metadata.abstractTroncated"></p>
    </div>
  </div>
</ng-container>
